import { createStore, applyMiddleware, compose } from "redux";
import createSagaMiddleware from "redux-saga";
import { reducers } from "./reducers/index";
import { sagas } from "./sagas/index";
import { browserHistory } from "react-router";
import { syncHistoryWithStore, routerMiddleware } from "react-router-redux";
let middlewares = [];
middlewares.push(routerMiddleware(browserHistory));
const sagaMiddleware = createSagaMiddleware();
middlewares.push(sagaMiddleware);
let middleware = applyMiddleware(...middlewares);
const store = createStore(reducers, middleware);
const history = syncHistoryWithStore(browserHistory, store);
sagaMiddleware.run(sagas);
export { store, history };
